scala.tools.nsc.symtab.classfile.ICodeReader.LinearCode

# DUP2_X1

#### object DUP2_X1 extends DupX with Product with Serializable

Source
  ICodeReader.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, DupX, Global.icodes.Instruction, Cloneable, java.lang.Cloneable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DUP2_X1
2. Serializable
3. Serializable
4. Product
5. Equals
6. DupX
7. Instruction
8. Cloneable
9. Cloneable
10. AnyRef
11. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def category: Int

   Definition Classes
     Instruction

6. #### def clone(): Global.icodes.Instruction

   Clone this instruction.

   Clone this instruction.

   Definition Classes
     Instruction → AnyRef

7. #### def consumed: Int

   This abstract method returns the number of used elements on the stack

   This abstract method returns the number of used elements on the stack

   Definition Classes
     Instruction

8. #### def consumedTypes: List[Global.icodes.TypeKind]

   This instruction consumes these types from the top of the stack, the first element in the list is the deepest element on the stack.

   This instruction consumes these types from the top of the stack, the first element in the list is the deepest element on the stack.

   Definition Classes
     Instruction

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def pos: Position

    Definition Classes
      Instruction

18. #### def produced: Int

    This abstract method returns the number of produced elements on the stack

    This abstract method returns the number of produced elements on the stack

    Definition Classes
      Instruction

19. #### def producedTypes: List[Global.icodes.TypeKind]

    This instruction produces these types on top of the stack.

    This instruction produces these types on top of the stack.

    Definition Classes
      Instruction

20. #### def setPos(p: Position): DUP2_X1.this.type

    Definition Classes
      Instruction

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DupX

### Inherited from Global.icodes.Instruction

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped